
<?php 
global $theme;

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

//require_once('data/SugarBean.php'); 
//require_once('include/utils.php');
require_once('log4php/LoggerManager.php');
//require_once('modules/Accounts/Account.php');
//require_once('modules/M02_Ordenes/M02_Ordenes.php');
//require_once('modules/M01_Vehiculos/M01_Vehiculos.php');

require_once("ReportesExcel/classes/PHPExcel.php");
require_once("ReportesExcel/classes/PHPExcel/Reader/Excel5.php");
require_once("ReportesExcel/classes/PHPExcel/Reader/Excel2007.php");



$hostname_strConexion="localhost";
$database_strConexion="crmdys";
$username_strConexion="root";
$password_strConexion="";
$strConexion=mysql_pconnect($hostname_strConexion,$username_strConexion,$password_strConexion) or
trigger_error(mysql_error(),E_USER_ERROR);
mysql_select_db($database_strConexion, $strConexion);
	
?>


<link rel="stylesheet" type="text/css" href="Reportes/jscalendar-1.0/calendar-win2k-1.css" />
<script type="text/javascript" src="Reportes/jscalendar-1.0/calendar.js"></script>
<script type="text/javascript" src="Reportes/jscalendar-1.0/lang/calendar-es.js"></script>
<script type="text/javascript" src="Reportes/jscalendar-1.0/calendar-setup.js"></script>


<script type="text/javascript" src=""></script>
<FORM METHOD=POST ENCTYPE="multipart/form-data" >
Archivo a Conciliar (Clientes): <INPUT TYPE=FILE NAME="upfile"><BR>
<INPUT TYPE=SUBMIT VALUE="Enviar" name="btnEnviar">
</FORM>


<?php

$accion = $_POST['btnEnviar'];
if ($accion ==  "Enviar")
{
	  
	$binario_nombre_temporal=$_FILES['upfile']['tmp_name'] ;
	$nombre_archivo=$_FILES['upfile']['name'];
	$pos       =strpos($nombre_archivo , ".");
	$extension = substr($nombre_archivo ,$pos+1,strlen($nombre_archivo));			
	if (empty($_FILES['upfile']['name']))
	{
		?>
		<script language="JavaScript">
					alert("Debe Seleccionar un archivo Excel a Conciliar");
		</script>
		 <?php
		exit;
	}
    else
    {
    	if ($extension != "xls")
    	{
    		?>
			<script language="JavaScript">
						alert("El Archivo a Conciliar debe ser Excel en version 2003 (.xls)");
			</script>
			 <?php
			exit;
    	}
    	else
    	{
    	
			error_reporting(E_ALL);
			date_default_timezone_set('Europe/London');
			setlocale(LC_TIME, 'es_VE');
			
			// Cargando la hoja de cálculo excel
			//creamos objeto para leer del excel
			$objReader = new PHPExcel_Reader_Excel5();
			$objReader->setReadDataOnly(true);
			//cargamos el archivo excel(extensión *.xlsx)				
			$objPHPExcel = $objReader->load($binario_nombre_temporal);			
			// Asignamos el excel activo
			$objPHPExcel->setActiveSheetIndex(0);
			
			//Variable para recorrer las filas del archivo excel
			$i=2; //Debido a que el archivo excel viene con cabecera
				
			$exitoso = true; //Variable para verificar si fue exitosa la conciliacion
			$ClientesCreados = 0;
			$ClientesActualizados = 0;
	
			//Se obtienen los valores que vienen del archivo excel
			while($objPHPExcel->getActiveSheet()->getCell("C".$i)->getValue() != '')
			{  
				$estatus               = $objPHPExcel->getActiveSheet()->getCell("A".$i)->getValue();
				$motivo                = $objPHPExcel->getActiveSheet()->getCell("B".$i)->getValue();
				$cedula                = $objPHPExcel->getActiveSheet()->getCell("C".$i)->getValue();
				$nombres               = $objPHPExcel->getActiveSheet()->getCell("D".$i)->getValue();
				$fecha_nac             = $objPHPExcel->getActiveSheet()->getCell("E".$i)->getValue();
				$edad                  = $objPHPExcel->getActiveSheet()->getCell("F".$i)->getValue();
				$clasificacion         = $objPHPExcel->getActiveSheet()->getCell("G".$i)->getValue();
				$aniversario           = $objPHPExcel->getActiveSheet()->getCell("H".$i)->getValue();
				$nroHijos              = $objPHPExcel->getActiveSheet()->getCell("I".$i)->getValue();
				$edadHijos             = $objPHPExcel->getActiveSheet()->getCell("J".$i)->getValue();
				$facebook              = $objPHPExcel->getActiveSheet()->getCell("K".$i)->getValue();
				$twitter	             = $objPHPExcel->getActiveSheet()->getCell("L".$i)->getValue();
				$pin                   = $objPHPExcel->getActiveSheet()->getCell("M".$i)->getValue();
				$movil                 = $objPHPExcel->getActiveSheet()->getCell("N".$i)->getValue();
				
				$movil2                = $objPHPExcel->getActiveSheet()->getCell("O".$i)->getValue();
				$correo                = $objPHPExcel->getActiveSheet()->getCell("P".$i)->getValue();
				$socioDesde            = $objPHPExcel->getActiveSheet()->getCell("Q".$i)->getValue();
				$cedEsposa             = $objPHPExcel->getActiveSheet()->getCell("R".$i)->getValue();
				$nombsposa             = $objPHPExcel->getActiveSheet()->getCell("S".$i)->getValue();
				$fechaNacEsposa        = $objPHPExcel->getActiveSheet()->getCell("T".$i)->getValue();
				$edadEsposa            = $objPHPExcel->getActiveSheet()->getCell("U".$i)->getValue();
				
				$dondeTrabaja          = $objPHPExcel->getActiveSheet()->getCell("V".$i)->getValue();
				$cargo                 = $objPHPExcel->getActiveSheet()->getCell("W".$i)->getValue();
				$profesion             = $objPHPExcel->getActiveSheet()->getCell("X".$i)->getValue();
				$dirEmpresa            = $objPHPExcel->getActiveSheet()->getCell("Y".$i)->getValue();
				$refEmpresa            = $objPHPExcel->getActiveSheet()->getCell("Z".$i)->getValue();
				$estadoEmpresa         = $objPHPExcel->getActiveSheet()->getCell("AA".$i)->getValue();
				$ciudadEmpresa         = $objPHPExcel->getActiveSheet()->getCell("AB".$i)->getValue();
				$municipioEmpresa      = $objPHPExcel->getActiveSheet()->getCell("AC".$i)->getValue();
				
				$parroquiaEmpresa      = $objPHPExcel->getActiveSheet()->getCell("AD".$i)->getValue();
				$telefonoEmpresa       = $objPHPExcel->getActiveSheet()->getCell("AE".$i)->getValue();
				$faxEmpresa            = $objPHPExcel->getActiveSheet()->getCell("AF".$i)->getValue();
				$codPostalEmpresa      = $objPHPExcel->getActiveSheet()->getCell("AG".$i)->getValue();				
				$aniversarioEmpresa    = $objPHPExcel->getActiveSheet()->getCell("AH".$i)->getValue();
				$direccionResi         = $objPHPExcel->getActiveSheet()->getCell("AI".$i)->getValue();
				$refResi               = $objPHPExcel->getActiveSheet()->getCell("AJ".$i)->getValue();
				$estadoResi            = $objPHPExcel->getActiveSheet()->getCell("AK".$i)->getValue();
				$ciudadResi            = $objPHPExcel->getActiveSheet()->getCell("AL".$i)->getValue();
				$municipioResi         = $objPHPExcel->getActiveSheet()->getCell("AM".$i)->getValue();
				$parroquiaResi         = $objPHPExcel->getActiveSheet()->getCell("AN".$i)->getValue();
				$codPostalResi         = $objPHPExcel->getActiveSheet()->getCell("AO".$i)->getValue();
				$telefonoPrincipal     = $objPHPExcel->getActiveSheet()->getCell("AP".$i)->getValue();
				$ultimasVacaciones     = $objPHPExcel->getActiveSheet()->getCell("AQ".$i)->getValue();
				$deportesFavoritos     = $objPHPExcel->getActiveSheet()->getCell("AR".$i)->getValue();
				$hobbies               = $objPHPExcel->getActiveSheet()->getCell("AS".$i)->getValue();
				$procedencia           = $objPHPExcel->getActiveSheet()->getCell("AT".$i)->getValue();
				$visa                  = $objPHPExcel->getActiveSheet()->getCell("AU".$i)->getValue();
				$master                = $objPHPExcel->getActiveSheet()->getCell("AV".$i)->getValue();
				$americam              = $objPHPExcel->getActiveSheet()->getCell("AW".$i)->getValue();
				
				/*if ($aniversario <> "") {
					$aniversario = date_create($aniversario);
					$aniversario = date_format($aniversario, 'Y-m-d');
				}
				
				if ($fecha_nac <> "") {
					$fecha_nac = date_create($fecha_nac);
					$fecha_nac = date_format($fecha_nac, 'Y-m-d');
				}
				
				if ($fechaNacEsposa <> "") {
					$fechaNacEsposa = date_create($fechaNacEsposa);
					$fechaNacEsposa = date_format($fechaNacEsposa, 'Y-m-d');
				}
				
				if ($aniversarioEmpresa <> "") {
					$aniversarioEmpresa = date_create($aniversarioEmpresa);
					$aniversarioEmpresa = date_format($aniversarioEmpresa, 'Y-m-d');
				}*/
				
				
				
				
				$words = array("HAB", "MOV", "OFI", " ", ")", "(", "{", "*", "-", "'","}",";",".","+","_");
				$words2 = array(")", "(", "{", "*", "-", "'","}",";",".","+","_");
				
				$Cedula_Rif = str_replace($words, "", $cedula);

				
						  $Cliente  = new Account();	
						  $Cliente->retrieve_by_string_fields(array('name' => trim($Cedula_Rif) ));
							////////////////////////////////////////////
							
							
							//echo ("Fecha Nac: ".$fecha_nac);
							/// SI EL CLIENTE NO EXISTE
							if (empty($Cliente->id))
							{

								 $Cliente->name                   = $Cedula_Rif;
								 $Cliente->nombres_apellidos_c    = $nombres;
								 $Cliente->fecha_nac_c            = $fecha_nac;
								 $Cliente->edad_c                 = $edad;
								 $Cliente->clasificacion_c        = $clasificacion;
								 $Cliente->aniversario_bodas_c    = $aniversario;
								 $Cliente->nro_hijos_c            = $nroHijos;
								 $Cliente->edades_hijos_c         = $edadHijos;
								 $Cliente->facebook_c             = $facebook;
								 $Cliente->twitter_c              = $twitter;
								 $Cliente->created_by             = '1';
								 $Cliente->modified_user_id       = '1';
								 $Cliente->assigned_user_id       = '1';
								 $Cliente->pin_bb_c               = $pin;
								 $Cliente->phone_movil_c          = $movil;
								 $Cliente->phone_movil2c          = $movil2;
								 
								 if ($correo != ''){ $Cliente->email1 = $correo; }
								
								 $Cliente->cedula_esposa_c        = $cedEsposa;
								 $Cliente->nomb_apellido_esposa_c = $nombsposa;
								 $Cliente->fecha_nac_esposa_c     = $fechaNacEsposa;
								 $Cliente->edad_esposa_c          = $edadEsposa;
								 
								 $Cliente->empresa_trabaja_c      = $dondeTrabaja;
								 $Cliente->cargo_c                = $cargo;
								 $Cliente->profesion_c            = $profesion;
								 $Cliente->dir_empresa_c          = $dirEmpresa;
								 $Cliente->dir_empresa_municipio_c= $refEmpresa;
								 $Cliente->dir_empresa_estado_c   = $estadoEmpresa;
								 $Cliente->dir_empresa_ciudad_c   = $ciudadEmpresa;
								 $Cliente->dir_empresa_municipio_c= $municipioEmpresa;
								 $Cliente->dir_empresa_parroquia_c= $parroquiaEmpresa;
								 $Cliente->dir_empresa_telefono_c = $telefonoEmpresa;
								 $Cliente->phone_fax              = $faxEmpresa;
								 $Cliente->dir_empresa_codigo_postal_c = $codPostalEmpresa;
								 $Cliente->aniversario_empresa_c  = $aniversarioEmpresa;
								 
								 $Cliente->dir_residencia_c            = $direccionResi;
								 $Cliente->dir_residencia_referencia_c = $refResi;
								 $Cliente->dir_residencia_estado_c     = $estadoResi;
								 $Cliente->dir_residencia_ciudad_c     = $ciudadResi;
								 $Cliente->dir_residencia_municipio_c  = $municipioResi;
								 $Cliente->dir_residencia_parroquia_c  = $parroquiaResi;
								 $Cliente->codigo_postal_c             = $codPostalResi;
								 $Cliente->phone_office                = $telefonoPrincipal;
								 
								 $Cliente->ultimas_vacaciones_c        = $ultimasVacaciones;
								 $Cliente->deportes_favoritos_c        = $deportesFavoritos;
								 $Cliente->hobbies_c                   = $hobbies;
								 $Cliente->procedencia_c               = $procedencia;
								 $Cliente->estatus_c                   = $estatus;
								 $Cliente->tdc_visa_c                  = $visa;
								 $Cliente->tdc_mastercard_c            = $master;
								 $Cliente->tdc_american_c              = $americam;
								 $Cliente->motivo_noperfil_c           = $motivo;
								 
								 $Cliente->save();
								 
				
								 
								 $ClientesCreados = $ClientesCreados + 1;
								 
								 
								$GLOBALS['log']->info("save: 580 ".$Cliente->id);
						
							}// FIN SI LA ORDEN NO EXISTE
							
							
							else if (!empty($Cliente->id))
							{
								 $ClienteE  = new Account();
								 $ClienteE->retrieve($Cliente->id);
								 //$Cliente->name                   = $Cedula_Rif;
								 $ClienteE->nombres_apellidos_c    = $nombres;
								 $ClienteE->fecha_nac_c            = $fecha_nac;
								 $ClienteE->edad_c                 = $edad;
								 $ClienteE->clasificacion_c        = $clasificacion;
								 $ClienteE->aniversario_bodas_c    = $aniversario;
								 $ClienteE->nro_hijos_c            = $nroHijos;
								 $ClienteE->edades_hijos_c         = $edadHijos;
								 $ClienteE->facebook_c             = $facebook;
								 $ClienteE->twitter_c              = $twitter;
								 $ClienteE->modified_user_id       = '1';
								 //$ClienteE->created_by             = '1';
								 $ClienteE->modified_user_id       = '1';
								 //$ClienteE->assigned_user_id       = '1';
								 $ClienteE->pin_bb_c               = $pin;
								 $ClienteE->phone_movil_c          = $movil;
								 $ClienteE->phone_movil2c          = $movil2;
								 
								 if ($correo != ''){ $ClienteE->email1 = $correo; }
								 
								 $ClienteE->cedula_esposa_c        = $cedEsposa;
								 $ClienteE->nomb_apellido_esposa_c = $nombsposa;
								 $ClienteE->fecha_nac_esposa_c     = $fechaNacEsposa;
								 $ClienteE->edad_esposa_c          = $edadEsposa;
								 
								 $ClienteE->empresa_trabaja_c      = $dondeTrabaja;
								 $ClienteE->cargo_c                = $cargo;
								 $ClienteE->profesion_c            = $profesion;
								 $ClienteE->dir_empresa_c          = $dirEmpresa;
								 $ClienteE->dir_empresa_municipio_c= $refEmpresa;
								 $ClienteE->dir_empresa_estado_c   = $estadoEmpresa;
								 $ClienteE->dir_empresa_ciudad_c   = $ciudadEmpresa;
								 $ClienteE->dir_empresa_municipio_c= $municipioEmpresa;
								 $ClienteE->dir_empresa_parroquia_c= $parroquiaEmpresa;
								 $ClienteE->dir_empresa_telefono_c = $telefonoEmpresa;
								 $ClienteE->phone_fax              = $faxEmpresa;
								 $ClienteE->dir_empresa_codigo_postal_c = $codPostalEmpresa;
								 $ClienteE->aniversario_empresa_c  = $aniversarioEmpresa;
								 
								 $ClienteE->dir_residencia_c            = $direccionResi;
								 $ClienteE->dir_residencia_referencia_c = $refResi;
								 $ClienteE->dir_residencia_estado_c     = $estadoResi;
								 $ClienteE->dir_residencia_ciudad_c     = $ciudadResi;
								 $ClienteE->dir_residencia_municipio_c  = $municipioResi;
								 $ClienteE->dir_residencia_parroquia_c  = $parroquiaResi;
								 $ClienteE->codigo_postal_c             = $codPostalResi;
								 $ClienteE->phone_office                = $telefonoPrincipal;
								 
								 $ClienteE->ultimas_vacaciones_c        = $ultimasVacaciones;
								 $ClienteE->deportes_favoritos_c        = $deportesFavoritos;
								 $ClienteE->hobbies_c                   = $hobbies;
								 $ClienteE->procedencia_c               = $procedencia;
								 $ClienteE->estatus_c                   = $estatus;
								 $ClienteE->tdc_visa_c                  = $visa;
								 $ClienteE->tdc_mastercard_c            = $master;
								 $ClienteE->tdc_american_c              = $americam;
								 $ClienteE->motivo_noperfil_c           = $motivo;
								 
								 $ClienteE->save();
								 
								 $ClientesActualizados = $ClientesActualizados + 1;
							}

				$i++;
			}
		}
	}
	
	if ($exitoso){
		//echo '<script>alert (" Total Ordenes creadas: '.$OrdenesCreadas.' Total Clientes Creados: '.$ClientesCreados.' Total Vehiculos Creados: '.$VehiculoCreados.' ");</script>';
		echo " Total Clientes Creados      : $ClientesCreados "."<br/>";
		echo " Total Clientes Actualizados : $ClientesActualizados "."<br/>";
		
		?>
		<script language="JavaScript">
			//alert("Se ha conciliado Exitosamente.");
		</script>
		 <?php		
	}
	else{
		?>
		<script language="JavaScript">
			alert("No se ha podido conciliar. Verifique los datos del archivo Excel.");
		</script>
		 <?php		
	}	
	
}
?>
